-- Cela tahle sranda je dobra k serazeni pole znaku, vyuziva
-- genericke jednotky SORT

with text_io, sort;
use text_io;

procedure hlavni is
 package int_io is new text_io.integer_io(integer); use int_io;
 n:integer;    -- tady ten package neni treba ( pro charactery)
 begin
   put("Kolik polozek bude v poli ? ");
   int_io.get(n);
   new_line;

   declare       -- samostatny blok
     subtype interval is integer range 1..n;   -- a v nem si muzu deklarovat dalsi veci
     type Tpole is array(interval) of character; -- takze budeme radit integery
     p:Tpole;
     i:interval;
     procedure sortuj is new SORT(character,interval,Tpole,"<");
     procedure tiskni(a:Tpole);

     procedure tiskni(a:Tpole) is     -- vnitrni proc. bloku
     begin
       for k in interval loop
         text_io.put(a(k)); -- width dela pekne mezery (rovnomerne)
       end loop;
       new_line;
     end tiskni;

     begin                    -- nacitani jedn. prvku do pole
       for i in interval loop
         int_io.put(i);
         text_io.put(". prvek ... ");
         text_io.get(p(i));
       end loop;
       new_line;

       put_line("Neserazene pole : ");tiskni(p);
       sortuj(p);
       put_line("Serazene pole : ");tiskni(p);

     end;
  end hlavni;
